| TagLib 1.13 |  |

Public Member Functions | Protected Member Functions | Friends | List of all members
TagLib::ID3v2::PrivateFrame Class Reference

An implementation of ID3v2 privateframe. More...

`#include <privateframe.h>`

Inheritance diagram for TagLib::ID3v2::PrivateFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::PrivateFrame:
[legend]

## Public Member Functions
| PrivateFrame ()
| PrivateFrame (const ByteVector &data)
virtual | ~PrivateFrame ()
virtual String | toString () const
String | owner () const
ByteVector | data () const
void | setOwner (const String &s)
void | setData (const ByteVector &v)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
ByteVector | frameID () const
unsigned int | size () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual String | toString () const =0
ByteVector | render () const
TAGLIB_DEPRECATED | Header (const ByteVector &data, bool synchSafeInts)
| Header (const ByteVector &data, unsigned int version=4)
virtual | ~Header ()
TAGLIB_DEPRECATED void | setData (const ByteVector &data, bool synchSafeInts)
void | setData (const ByteVector &data, unsigned int version=4)
ByteVector | frameID () const
void | setFrameID (const ByteVector &id)
unsigned int | frameSize () const
void | setFrameSize (unsigned int size)
unsigned int | version () const
void | setVersion (unsigned int version)
bool | tagAlterPreservation () const
void | setTagAlterPreservation (bool discard)
bool | fileAlterPreservation () const
bool | readOnly () const
bool | groupingIdentity () const
bool | compression () const
bool | encryption () const
bool | unsynchronisation () const
bool | dataLengthIndicator () const
ByteVector | render () const
TAGLIB_DEPRECATED bool | frameAlterPreservation () const

## Protected Member Functions
virtual void | parseFields (const ByteVector &data)
virtual ByteVector | renderFields () const
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
Header * | header () const
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
virtual void | parseFields (const ByteVector &data)=0
virtual ByteVector | renderFields () const =0
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=0)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
PropertyMap | asProperties () const

## Friends
class | FrameFactory

## Additional Inherited Members
Static Public Member Functions inherited from TagLib::ID3v2::Frame
static Frame * | createTextualFrame (const String &key, const StringList &values)
static unsigned int | headerSize ()
static unsigned int | headerSize (unsigned int version)
static ByteVector | textDelimiter (String::Type t)
static unsigned int | size ()
static unsigned int | size (unsigned int version)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static String::Type | checkEncoding (const StringList &fields, String::Type encoding)
static String::Type | checkEncoding (const StringList &fields, String::Type encoding, unsigned int version)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
static String | keyToTXXX (const String &)
static String | txxxToKey (const String &)
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

An implementation of ID3v2 privateframe.

## Constructor & Destructor Documentation

## ◆ PrivateFrame() [1/2]

TagLib::ID3v2::PrivateFrame::PrivateFrame | ( |  | ) |

Construct an empty private frame.

## ◆ PrivateFrame() [2/2]

TagLib::ID3v2::PrivateFrame::PrivateFrame | ( | const ByteVector & | data | ) |
| explicit

Construct a private frame based on the data in data.

Note
  This is the constructor used when parsing the frame from a file.

## ◆ ~PrivateFrame()

virtual TagLib::ID3v2::PrivateFrame::~PrivateFrame | ( |  | ) |
| virtual

Destroys this private frame instance.

## Member Function Documentation

## ◆ data()

ByteVector TagLib::ID3v2::PrivateFrame::data | ( |  | ) | const

## ◆ owner()

String TagLib::ID3v2::PrivateFrame::owner | ( |  | ) | const

Returns
  The owner of the private frame.

Note
  This should contain an email address or link to a website.

## ◆ parseFields()

virtual void TagLib::ID3v2::PrivateFrame::parseFields | ( | const ByteVector & | data | ) |
| protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## ◆ renderFields()

virtual ByteVector TagLib::ID3v2::PrivateFrame::renderFields | ( |  | ) | const
| protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

## ◆ setData()

void TagLib::ID3v2::PrivateFrame::setData | ( | const ByteVector & | v | ) |

## ◆ setOwner()

void TagLib::ID3v2::PrivateFrame::setOwner | ( | const String & | s | ) |

Sets the owner of the frame to s.

Note
  This should contain an email address or link to a website.

## ◆ toString()

virtual String TagLib::ID3v2::PrivateFrame::toString | ( |  | ) | const
| virtual

Returns the text of this private frame, currently just the owner.

See also
  text()

Implements TagLib::ID3v2::Frame.

## Friends And Related Function Documentation

## ◆ FrameFactory

friend class FrameFactory
| friend

The documentation for this class was generated from the following file:

- privateframe.h